<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>被黑网站统计系统-中国被黑站点官网-被黑统计审核-国内被黑网站查询</title>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<meta name="keywords" content="被黑网站,被黑站点,被黑统计,被黑查询,黑页提交,提交黑页,黑页统计,被黑网站提交,被黑网站查询,中国被黑站点,被黑网站统计,被黑站点统计,全球被黑站点统计,被黑网站统计系统,中国被黑站点排行" />
<meta name="description" content="本站主要通过网络搜集国内被黑网站信息，统计分析数据，为部署安全型网络提供强有力的依据，本站所有工作人员均不参与黑站，挂马或赢利性行为，所有数据均为网民提供，提交者不一定是黑站人，所有提交采取不记名，先提交先审核的方式。" />
<link href="js/style.css" rel="stylesheet" type="text/css">
</head>
<body>
<div class="title_bar text_right">
<div style="margin:0 auto; width:980px;">
[ <a href="portscan.php">端口扫描</a> ]
[ <a href="ip.php">IP查询</a> ]
[ <a href="whois.php">whois查询</a> ]
[ <a href="password.php">密码生成</a> ]
[ <a href="desktopurl.php" target="_blank">加入桌面</a> ]
</div>
</div>
<div class="container clearfix">
 <div class="header">
 <table border="0">
   <td width="280"><a href="index.php"><img src="images/logo.gif" /></a></td>
   <td width="700" align="right" style="padding:0"><a href="tools/hac-ker.net.rar" target=_blank><img src="images/www.hac-ker.com.gif" /></a></td>
 </tr>
 </table>
 </div>
  <table width="980" border="0" class="title_bar">
  <tr>
    <form  action="search.php" method="get"  >
      <td>
          站内搜索：&nbsp;
          <input type="radio" name="type"value="name" checked="checked"  />
          提交者
          &nbsp;
          <input type="radio" name="type" value="team" />
          组织名
          &nbsp;
          <input type="radio" name="type" value="ip" />
          IP
          &nbsp;
          <input type="radio" name="type" value="domain" />
          域名
          &nbsp
          &nbsp
          关键词：
          <input name="var" type="text" size="30">
          <input type="submit" class="bar_button" value="搜 索">
          </td>
          <td align="right">
          <a class="bar_button" href="submit.php">提交黑页</a>
          <a class="bar_button" href="submits.php">批量提交</a>
          <a class="bar_button" href="hackers.php">TOP100 User</a>
          </td>
    </form>
    </tr>
    </table><!--/title_bar-->
<script type="text/javascript" src="js/topad.js"></script>
<style>
.main{ border:1px solid #7A7A7A;padding:10px;}
.main table { border:1px solid #7A7A7A; border-bottom:none;}
.main table tr td{ border-bottom:1px solid #7A7A7A;border-right:1px solid #7A7A7A;}
.main table .tr{ font-weight:bold}
</style>
<div class="main">
<div style="width:600px; margin:0 auto">
<SCRIPT LANGUAGE="JavaScript">
<!--
function checkIP()
{
	var ipArray,ip,j;
	ip = document.ipform.ip.value;
	
	if(/[A-Za-z_-]/.test(ip)){
		if(!/^([\w-]+\.)+((com)|(net)|(org)|(gov\.cn)|(info)|(cc)|(com\.cn)|(net\.cn)|(org\.cn)|(name)|(biz)|(tv)|(cn)|(mobi)|(name)|(sh)|(ac)|(io)|(tw)|(com\.tw)|(hk)|(com\.hk)|(ws)|(travel)|(us)|(tm)|(la)|(me\.uk)|(org\.uk)|(ltd\.uk)|(plc\.uk)|(in)|(eu)|(it)|(jp)|(co)|(me)|(mx)|(ca)|(ag)|(com\.co)|(net\.co)|(nom\.co)|(com\.ag)|(net\.ag)|(fr)|(org\.ag)|(am)|(asia)|(at)|(be)|(bz)|(com\.bz)|(net\.bz)|(net\.br)|(com\.br)|(de)|(es)|(com\.es)|(nom\.es)|(org\.es)|(fm)|(gs)|(co\.in)|(firm\.in)|(gen\.in)|(ind\.in)|(net\.in)|(org\.in)|(jobs)|(ms)|(com\.mx)|(nl)|(nu)|(co\.nz)|(net\.nz)|(org\.nz)|(tc)|(tk)|(org\.tw)|(idv\.tw)|(co\.uk)|(vg)|(ad)|(ae)|(af)|(ai)|(al)|(an)|(ao)|(aq)|(ar)|(as)|(au)|(aw)|(az)|(ba)|(bb)|(bd)|(bf)|(bg)|(bh)|(bi)|(bj)|(bm)|(bn)|(bo)|(br)|(bs)|(bt)|(bv)|(bw)|(by)|(cd)|(cf)|(cg)|(ch)|(ci)|(ck)|(cl)|(cm)|(cr)|(cu)|(cv)|(cx)|(cy)|(cz)|(dj)|(dk)|(dm)|(do)|(dz)|(ec)|(ee)|(eg)|(er)|(et)|(fi)|(fj)|(fk)|(fo)|(ga)|(gd)|(ge)|(gf)|(gg)|(gh)|(gi)|(gl)|(gm)|(gn)|(gp)|(gq)|(gr)|(gt)|(gu)|(gw)|(gy)|(hm)|(hn)|(hr)|(ht)|(hu)|(id)|(ie)|(il)|(im)|(iq)|(ir)|(is)|(je)|(jm)|(jo)|(ke)|(kg)|(kh)|(ki)|(km)|(kn)|(kr)|(kw)|(ky)|(kz)|(lb)|(lc)|(li)|(lk)|(lr)|(ls)|(lt)|(lu)|(lv)|(ly)|(ma)|(mc)|(md)|(mg)|(mh)|(mk)|(ml)|(mm)|(mn)|(mo)|(mp)|(mq)|(mr)|(mt)|(mu)|(mv)|(mw)|(my)|(mz)|(na)|(nc)|(ne)|(nf)|(ng)|(ni)|(no)|(np)|(nr)|(nz)|(om)|(pa)|(pe)|(pf)|(pg)|(ph)|(pk)|(pl)|(pm)|(pn)|(pr)|(ps)|(pt)|(pw)|(py)|(qa)|(re)|(ro)|(ru)|(rw)|(sa)|(sb)|(sc)|(sd)|(se)|(sg)|(si)|(sk)|(sl)|(sm)|(sn)|(sr)|(st)|(sv)|(sy)|(sz)|(td)|(tf)|(tg)|(th)|(tj)|(tl)|(tn)|(to)|(tr)|(tt)|(tz)|(ua)|(ug)|(uk)|(uy)|(uz)|(va)|(vc)|(ve)|(vi)|(vn)|(vu)|(wf)|(ye)|(yt)|(yu)|(za)|(zm)|(zw))/){
			alert("输入的域名不正确");
			document.ipform.ip.focus();
			return false;
		}
	}
	else{
		ipArray = ip.split(".");
		j = ipArray.length
		if(j!=4)
		{
			alert("输入的IP不正确");
			document.ipform.ip.focus();
			return false;
		}

		for(var i=0;i<4;i++)
		{
			if(ipArray[i].length==0 || ipArray[i]>255)
			{
				alert("输入的IP不正确");
				document.ipform.ip.focus();
				return false;
			}
		}
	}
}
//-->
</SCRIPT>
    <td height='25'><div align='center' style="font:22px arial;">请输入IP地址或域名</div></td>
  </tr>
</table>
<div class="c">
<div><FORM method="post" ACTION="" name="ipform" onsubmit="return checkIP();">
<div>
<div align="center"><input type="text" name="ip" size="30" maxlength="100" id="url" style="width:168px;line-height:16px;padding:3px 1px;margin:0 1px 0 0; font:16px arial;">
<input type="submit" value="查询一下" id="sub" style="width:85px;height:28px;line-height:24px;font:16px arial;"></div>
<INPUT TYPE="hidden" name="action" value="2">
</div></FORM>
<div align="center">
<?php
include_once('./qqwry.php');
$QQWry=new QQWry; 
function get_real_ip(){
$ip=false;
if(!empty($_SERVER["HTTP_CLIENT_IP"])){
$ip = $_SERVER["HTTP_CLIENT_IP"];
}
if (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
$ips = explode (", ", $_SERVER['HTTP_X_FORWARDED_FOR']);
if ($ip) { array_unshift($ips, $ip); $ip = FALSE; }
for ($i = 0; $i < count($ips); $i++) {
if (!eregi ("^(10|172\.16|192\.168)\.", $ips[$i])) {
$ip = $ips[$i];
break;
}
}
}
return $ip;
}
function is_ip($str) {
    $ip = explode(".", $str);
    if (count($ip)<4 || count($ip)>4) return 0;
    foreach($ip as $ip_addr) {
        if ( !is_numeric($ip_addr) ) return 0;
        if ( $ip_addr<0 || $ip_addr>255 ) return 0;
    }
    return 1;
}
if($_POST['ip']){
$ip=$_POST['ip'];
preg_match('/((\w|-)+\.)+[a-z]{2,4}/i',$ip) ? $ip=gethostbyname($ip) : $ip;
if(is_ip($ip)){
$ifErr=$QQWry->QQWry($ip); 
echo "<font size=3>您查询的IP：<font color=#FF0000>".$ip."</font>&nbsp;&nbsp;IP详细地址：<font color=#FF0000>".$QQWry->Country.$QQWry->Local."</font></font><br/>"; 
}else
{
echo "<font size=3 color=#FF0000>真奇怪，系统居然查不到您输入的IP！</font>";
}
}else{
$ip=get_real_ip();
if (($_SERVER["HTTP_CLIENT_IP"]) or ($_SERVER['HTTP_X_FORWARDED_FOR'])){
$ifErr=$QQWry->QQWry($ip); 
echo "<font size=3>您的IP地址是：[<font color=#FF0000>".$ip."</font>]&nbsp;来自：<font color=#FF0000>".$QQWry->Country.$QQWry->Local."</font></font><br/>"; 
$ip=$_SERVER['REMOTE_ADDR'];
$ifErr=$QQWry->QQWry($ip); 
echo "您的代理IP是：[<font color=#FF0000>".$ip."</font>]&nbsp;来自：<font color=#FF0000>".$QQWry->Country.$QQWry->Local."</font>"; 
}
else{
$ip=$_SERVER['REMOTE_ADDR']; 
$ifErr=$QQWry->QQWry($ip); 
echo "<font size=3>您的IP地址是：[<font color=#FF0000>".$ip."</font>]&nbsp;来自：<font color=#FF0000>".$QQWry->Country.$QQWry->Local."</font></font>"; 
 }
}
?>
</div>
</div>
</div>
</td>
</tr>
</table>
<table bgcolor='#FFFFFF' bordercolorlight='#6699CC' border=1 cellspacing=0 cellpadding=3 bordercolordark='#FFFFFF' width=760 align='center'>
<tr>
<td height="30">
<div>
<p>　　使用说明：输入IP地址即可查询IP地址所在的地理位置；输入域名，可以查出域名对应的IP地址，并通过这个IP地址查出域名绑定的服务器的地理位置。<font color=red>输入域名时不要加 http:// 前缀</font>。</p>
<p>　　提示：输入IP地址(如 8.8.8.8)或域名(如 www.google.com)后点击查询按钮即可，注意 www.google.com 和 google.com 可能代表了不同的服务器，其返回结果是有区别的。</p>
<p>　　IP地址查询拥有全国最新最全的IP数据库，每10天自动更新一次。收集了包括中国电信、中国网通、长城宽带、网通宽带、聚友宽带等ISP的最新准确IP地址数据，包括最全的网吧数据。为各位网友提供专业IP地址查询、地理位置查询、域名解析查询、精确网络IP数据库等服务。</p>
</div>
</td>
</tr>
</table>
<table bgcolor='#FFFFFF' bordercolorlight='#6699CC' border=1 cellspacing=0 cellpadding=3 bordercolordark='#FFFFFF' width=760 align='center'>
<tr>
<td height="30"><script src="js/urlcopy.js"></script></td>
</tr></table>
</div>
</div>
</br>
<div id="link">
    	<ul>友情链接</ul>
  	<ul>
        <?php
	$fer=array('[ <a href="http://www.hac-ker.com/" target="_blank">黑客导航</a> ]'
        ,'[ <a href="http://www.hac-ker.com/" target="_blank">黑客导航</a> ]'
        ,'[ <a href="http://www.hac-ker.com/" target="_blank">黑客导航</a> ]'
        ,'[ <a href="http://www.hac-ker.com/" target="_blank">黑客导航</a> ]'
        ,'[ <a href="http://www.hac-ker.com/" target="_blank">黑客导航</a> ]'
        ,'[ <a href="http://www.hac-ker.com/" target="_blank">黑客导航</a> ]'
        ,'[ <a href="http://www.hac-ker.com/" target="_blank">黑客导航</a> ]'
        ,'[ <a href="http://www.hac-ker.com/" target="_blank">黑客导航</a> ]'
        ,'[ <a href="http://www.hac-ker.com/" target="_blank">黑客导航</a> ]'
        ,'[ <a href="http://www.hac-ker.com/" target="_blank">黑客导航</a> ]'
        ,'[ <a href="http://www.hac-ker.com/" target="_blank">黑客导航</a> ]'
	,'[ <a href="http://www.hac-ker.com/" target="_blank">黑客导航</a> ]');
	shuffle($fer);
	foreach ($fer as $mychrs)
	echo $mychrs." ";
	?>
      </ul>
</div><div class="footer">
    <div align="left">
    免责声明：<br />本站主要通过网络搜集国内被黑网站信息，统计分析数据，为部署安全型网络提供强有力的依据.本站所有工作人员均不参与黑站，挂马或赢利性行为，所有数据均为网民提供，提交者不一定是黑站人，所有提交采取不记名，先提交先审核的方式，如有任何疑问请及时与我们联系。hackercc@msn.com</div>
</div>
<div class="footer">
    <div align="center">
    Copyright &copy; 2012-2015 <a href="/" target="_blank">被黑网站统计系统</a> All Rights Reserved
    </div>
<div align="center">页面总访问量:<?php
$countfile="pv.txt"; //设置保存数据的文件
if (!file_exists($countfile)){//判断文件是否存在
echo "读取文件失败";
}
$fp = fopen($countfile,"r+");
//$length=filesize($countfile);
$num = fgets($fp);
$num += 1;
fclose($fp);//读数完毕，关闭文件
$fp1=fopen($countfile,"r+");//重新打开文件，写入新的数据
fwrite($fp1,$num);    //php写文件
fclose($fp1);
print $num; //显示访问次数
?>(PV) 页面执行时间:<?php
$begin = microtime();
echo howLong($begin, microtime()); //输出页面执行微毫秒数
function howLong($begin, $end){
 $begin = explode(' ',$begin);
 $end = explode(' ',$end);
 return $end = ($end[1]-$begin[1])+($end[0]);
}
?>(MS)</div>
<center><script type="text/javascript">var cnzz_protocol = (("https:" == document.location.protocol) ? " https://" : " http://");document.write(unescape("%3Cspan id='cnzz_stat_icon_1253534277'%3E%3C/span%3E%3Cscript src='" + cnzz_protocol + "s23.cnzz.com/stat.php%3Fid%3D1253534277%26show%3Dpic' type='text/javascript'%3E%3C/script%3E"));</script></div>
</body>
</html>